Companies
Create Company
Create a new company.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/companies" \ -H "Content-Type: application/json" \ -d '{ "legalName": "string", "entityType": "LLC", "formationDate": "2019-08-24", "formationState": "AL", "principalAddress": { "line1": "string", "city": "string", "country": "AD" }, "mailingAddress": { "line1": "string", "city": "string", "country": "AD" }, "officers": [ { "type": "COMPANY", "companyName": "string", "title": "President", "address": { "line1": "string", "city": "string", "country": "AD" }, "isPrimary": true } ], "userId": "string" }'{ "id": "string", "legalName": "string", "tradeName": "string", "ein": "string", "entityType": "LLC", "structureType": "MEMBER", "taxElection": "C Corporation", "fiscalEndMonth": "January", "formationDate": "2019-08-24", "formationState": "AL", "principalAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "AD" }, "mailingAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "AD" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}